<template>
  <nav class="navbar__container">
    <img class="logo" src="/acolher.me.svg" alt="Logotipo do Acolher.me" />

    <ul class="navbar__navigation__container">
      <li>
        <a-button v-scroll-to="'#call-to-action'" type="primary">
          Tenho interesse em conhecer
        </a-button>
      </li>
    </ul>
  </nav>
</template>

<script>
import { mapState } from 'vuex'

export default {
  name: 'Navbar',
  computed: mapState({
    uid: (store) => store.user.uid
  })
}
</script>

<style lang="less" scoped>
.navbar {
  &__container {
    padding: 20px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    // border-bottom: 1px solid @primary-color;

    .logo {
      width: 180px;
      cursor: pointer;
    }
  }

  &__navigation {
    &__container {
      display: flex;
      align-items: center;
      margin-bottom: 0;

      li {
        list-style: none;

        &:not(:last-child) {
          margin-right: 20px;
        }
      }

      @media only screen and (max-width: 805px) {
        display: none;
      }
    }
  }
}
</style>
